Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.bytecode.opencsv.bean
Class ColumnPositionMappingStrategy

    java.lang.Object
      au.com.bytecode.opencsv.bean.HeaderColumnNameMappingStrategy
          au.com.bytecode.opencsv.bean.ColumnPositionMappingStrategy

All Implemented Interfaces:
  MappingStrategy

public class ColumnPositionMappingStrategy
extends HeaderColumnNameMappingStrategy

Copyright 2007 Kyle Miller. Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Field Summary
`protected java.lang.String[]` | `columnMapping`

Fields inherited from class au.com.bytecode.opencsv.bean.HeaderColumnNameMappingStrategy
`descriptors, header, type`

Constructor Summary
`ColumnPositionMappingStrategy()`

Method Summary
`void` | `captureHeader(CSVReader reader)` Implemention of this method can grab the header line before parsing begins to use to map columns to bean properties.
`java.lang.String[]` | `getColumnMapping()`
`protected java.lang.String` | `getColumnName(int col)`
`void` | `setColumnMapping(java.lang.String[] columnMapping)`

Methods inherited from class au.com.bytecode.opencsv.bean.HeaderColumnNameMappingStrategy
`createBean, findDescriptor, findDescriptor, getType, loadDescriptors, matches, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columnMapping

    protected java.lang.String[] columnMapping

Constructor Detail

### ColumnPositionMappingStrategy

    public ColumnPositionMappingStrategy()

Method Detail

### captureHeader

    public void captureHeader(CSVReader reader)
                       throws java.io.IOException

  Description copied from interface: `MappingStrategy`
  Implemention of this method can grab the header line before parsing begins to use to map columns to bean properties.

  Specified by:
    `captureHeader` in interface `MappingStrategy`
  Overrides:
    `captureHeader` in class `HeaderColumnNameMappingStrategy`
  Throws:
    `java.io.IOException`

### getColumnName

    protected java.lang.String getColumnName(int col)

  Overrides:
    `getColumnName` in class `HeaderColumnNameMappingStrategy`

### getColumnMapping

    public java.lang.String[] getColumnMapping()

### setColumnMapping

    public void setColumnMapping(java.lang.String[] columnMapping)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Bytecode Pty Ltd.